<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$ank['id'] = $user['id'];
if (isset($_GET['id']))$ank['id'] = intval($_GET['id']);
$q = mysql_query("SELECT * FROM `user` WHERE `id` = $ank[id] LIMIT 1");
if (mysql_num_rows($q)==0){header("Location: index.php?".SID);exit;}

$ank = mysql_fetch_array($q);

$set['title'] = 'Список друзей '.$ank['nick'].'';
include_once 'sys/inc/thead.php';
title();
aut();



if (isset($_GET['add']))msg('Заявка отправлена');
if ($ank['id']==$user['id'])
{
echo "<div class='str'>";
echo '<a href="/frend.php">Все</a> | <a href="/onfrend.php">Онлайн</a>';
echo "</div>";
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1'"), 0);

if ($k_post==0)
{
echo 'У обитателя '.$ank['nick'].' нет друзей';
}


$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];


$q = mysql_query("SELECT * FROM `frends` WHERE `user` = '$ank[id]' AND `i` = '1' ORDER BY time DESC LIMIT $start, $set[p_str]");
while ($f = mysql_fetch_array($q))
{
	$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));
if($num==1){
echo "<div class='rowdown'>";
$num=0;
}else{
echo "<div class='rowup'>";
$num=1;}

echo "".online($a['id'])." \n";
echo "<a href='/my/$a[id]'><span style=\"color:$a[ncolor]\">$a[nick]</span></a>\n";
if($ank['rating']>=0 && $ank['rating']<=2)echo " <img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=3 && $ank['rating']<=5)echo " <img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=6 && $ank['rating']<=8)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=9 && $ank['rating']<=11)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=12 && $ank['rating']<=14)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=15 && $ank['rating']<=19)echo " <img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'><img src='/zv/marine.gif'></img>";
if($ank['rating']>=20 && $ank['rating']<=24)echo " <img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=25 && $ank['rating']<=29)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=30 && $ank['rating']<=34)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=35 && $ank['rating']<=39)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=40 && $ank['rating']<=46)echo " <img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'><img src='/zv/yellow.gif'></img>";
if($ank['rating']>=47 && $ank['rating']<=53)echo " <img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img><br />";
if($ank['rating']>=54 && $ank['rating']<=60)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=61 && $ank['rating']<=67)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=68 && $ank['rating']<=74)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=75 && $ank['rating']<=84)echo " <img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'><img src='/zv/green.gif'></img>";
if($ank['rating']>=85 && $ank['rating']<=94)echo " <img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=95 && $ank['rating']<=104)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=105 && $ank['rating']<=114)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=115 && $ank['rating']<=124)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=125 && $ank['rating']<=139)echo " <img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'><img src='/zv/red.gif'></img>";
if($ank['rating']>=140 && $ank['rating']<=154)echo " <img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=155 && $ank['rating']<=169)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=170 && $ank['rating']<=184)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=185 && $ank['rating']<=199)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/grey.gif'></img>";

if($ank['rating']>=200 && $ank['rating']<=219)echo " <img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'><img src='/zv/4.jpg'></img>";
if($ank['rating']>=220 && $ank['rating']<=239)echo " <img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=240 && $ank['rating']<=259)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=260 && $ank['rating']<=279)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=280 && $ank['rating']<=299)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/grey.gif'></img>";
if($ank['rating']>=300 && $ank['rating']<=2999999999)echo " <img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'><img src='/zv/7.jpg'></img>";



    	echo ' <small>('.vremja($f['time']).')</small><br />';
	if ($ank['id']==$user['id'])echo '<a href="/frend_new.php?del='.$a['id'].'">Удалить из друзей</a>';
echo "</div>";

}


if ($k_page>1)str("?",$k_page,$page); // Вывод страниц
include_once 'sys/inc/tfoot.php';
?>